<div class="items">
    <div class="item-fluid">
        <div class="item-100-center">
            <h1>Modify Company</h1>
        </div>
    </div>
    <div class="item-fluid">
        <div class="item-100-center">
            <div>
                <ng-container *ngIf="errors.length > 0">
                    <div class="error-box">
                        <div *ngFor="let error of errors">
                            {{error}}
                        </div>
                    </div>
                </ng-container>
                <label>Name</label>
                <input type="text" [(ngModel)]="companyName">
                <label>Logo</label><br>
                <img src="{{ logoUrl }}" class="item-edit-logo"><br>
                <input type="text" [(ngModel)]="logoUrl">
                <input type="file" #logoFile>
                <div><button class="btn btn-dark" (click)="upload()">Upload</button></div>
                <label>Established</label>
                <input type="date" [(ngModel)]="established">
                <label>Employees</label>
                <input type="number" min="0" max="1000000" step="1" [(ngModel)]="employees">
                <label>Revenue (&euro;)</label>
                <input type="number" min="-1000000000000" max="1000000000000" step="1" [(ngModel)]="revenue">
                <label>Net income (&euro;)</label>
                <input type="number" min="-1000000000000" max="1000000000000" step="1" [(ngModel)]="netIncome">
                <label>Securities</label>
                <input type="number" min="0" max="1000000000000" step="1" [(ngModel)]="securities">
                <label>Security price (&euro;)</label>
                <input type="number" step="0.01" [(ngModel)]="securityPrice">
                <label>Dividends (&euro;)</label>
                <input type="number" step="0.01" [(ngModel)]="dividends">
                <button (click)="save()">Save</button>
                <button (click)="goBack()">Cancel</button>
            </div>
        </div>
    </div>
</div>